import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Point, Type, IList$1 } from "igniteui-angular-core";
import { AxisLabelPanelBaseView } from "./AxisLabelPanelBaseView";
import { Rect } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { List$1 } from "igniteui-angular-core";
import { AxisAngleLabelMode } from "./AxisAngleLabelMode";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { IAngleScaler } from "./IAngleScaler";
import { CategoryAxisRenderer } from "./CategoryAxisRenderer";
import { DependencyProperty } from "igniteui-angular-core";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { PolarAxisRenderingManager } from "./PolarAxisRenderingManager";
import { AxisRenderingParametersBase } from "./AxisRenderingParametersBase";
import { ScalerParams } from "./ScalerParams";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { Geometry } from "igniteui-angular-core";
import { NumericAxisBase } from "./NumericAxisBase";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { GeometryGroup } from "igniteui-angular-core";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare class AngleAxisLabelPanel extends AxisLabelPanelBase {
    static $t: Type;
    ae(): AxisLabelPanelBaseView;
    ck(a: AxisLabelPanelBaseView): void;
    dc: AngleAxisLabelPanelView;
    constructor();
    dd: boolean;
    dl: (arg1: number, arg2: number, arg3: number) => Point;
    au(a: number, b: Rect): boolean;
    di: number;
    df: number;
    dh: number;
    dg: number;
    de: number;
    a8(): List$1<Rect>;
    private dn;
    private dm;
    private dk;
    private dj;
    ai(): AxisLabelsLocation;
    a1(a: AxisLabelsLocation): boolean;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxis extends CategoryAxisBase implements IAngleScaler {
    static $t: Type;
    bm(): AxisView;
    kb(a: AxisView): void;
    ak(): Axis;
    jr(a: Axis): void;
    ju(a: Axis, b: string): void;
    qa: CategoryAngleAxisView;
    protected get_c5(): boolean;
    private qf;
    constructor();
    az(): AxisLabelPanelBase;
    qc: CategoryAxisRenderer;
    private qg;
    protected qj(a: number): boolean;
    protected q6(): string;
    private qz;
    private qn;
    private qb;
    protected qk(a: number): boolean;
    private rj;
    private ri;
    qr(): number;
    p9(a: Rect, b: Rect, c: Rect, d: Rect): AxisRenderingParametersBase;
    private q3;
    getMinMaxAngle(a: Rect, b: Rect, c: Rect, d: number, e: number): {
        p3: number;
        p4: number;
    };
    ac(): void;
    private qd;
    get qe(): NumericRadiusAxis;
    set qe(a: NumericRadiusAxis);
    ao(): Axis;
    q0: number;
    protected qo: number;
    p7: AxisAngleLabelMode;
    p8(): AxisAngleLabelMode;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    protected get_qh(): boolean;
    get qh(): boolean;
    qt(a: number, b: Rect, c: Rect, d: Rect): number;
    ou(a: Rect, b: Rect, c: Rect): number;
    qs(a: number, b: number, c: Rect, d: Rect, e: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    qw(a: number): number;
    protected k4(a: boolean): void;
    qv(a: Rect, b: Rect, c: Rect): number;
    qu(a: Rect, b: Rect, c: Rect): number;
    getScaledAngle(a: number): number;
    getUnscaledAngle(a: number): number;
    ft(a: number, b: ScalerParams): number;
    fw(a: number, b: ScalerParams): number;
    fd(a: Point): number;
    protected kf(a: any, b: string, c: any, d: any): void;
    private rb;
    rd(a: NumericRadiusAxis): void;
    static readonly re: DependencyProperty;
    get qx(): number;
    set qx(a: number);
    private ql;
    get qp(): number;
    set qp(a: number);
    f5(): number;
    static readonly rg: DependencyProperty;
    get qy(): number;
    set qy(a: number);
    private qm;
    get qq(): number;
    set qq(a: number);
    protected qi(): boolean;
    protected get_bk(): AxisOrientation;
    get bk(): AxisOrientation;
    d4(): boolean;
    private q1;
    get q2(): number;
    set q2(a: number);
    ns(a: number, b: Rect, c: Rect, d: Rect, e: Rect): Geometry;
    get isVertical(): boolean;
    j$d(a: number, b: ScalerParams): number;
    j$c(a: number, b: ScalerParams): number;
    j$e(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$g(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    get j$b(): boolean;
    j$a(): number[];
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericAngleAxis extends NumericAxisBase implements IAngleScaler {
    static $t: Type;
    bm(): AxisView;
    kb(a: AxisView): void;
    ak(): Axis;
    jr(a: Axis): void;
    ju(a: Axis, b: string): void;
    r6: NumericAngleAxisView;
    r9: PolarAxisRenderingManager;
    protected get_c5(): boolean;
    constructor();
    az(): AxisLabelPanelBase;
    sd(): number;
    private sf;
    private sa;
    private sb;
    oo(): NumericAxisRenderer;
    private so;
    ft(a: number, b: ScalerParams): number;
    getScaledAngle1(a: number, b: boolean, c: boolean): number;
    getScaledAngle(a: number): number;
    fw(a: number, b: ScalerParams): number;
    getUnscaledAngle(a: number): number;
    sg: number;
    private sc;
    r4: AxisAngleLabelMode;
    r5(): AxisAngleLabelMode;
    protected kf(a: any, b: string, c: any, d: any): void;
    private sj;
    os(): NumericAxisRenderingParameters;
    or(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    getMinMaxAngle(a: Rect, b: Rect, c: Rect, d: number, e: number): {
        p3: number;
        p4: number;
    };
    protected k4(a: boolean): void;
    private r7;
    get r8(): NumericRadiusAxis;
    set r8(a: NumericRadiusAxis);
    ao(): Axis;
    sl(a: NumericRadiusAxis): void;
    protected li(a: Rect, b: Rect): void;
    protected get_bk(): AxisOrientation;
    get bk(): AxisOrientation;
    ns(a: number, b: Rect, c: Rect, d: Rect, e: Rect): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericRadiusAxis extends NumericAxisBase {
    static $t: Type;
    bm(): AxisView;
    kb(a: AxisView): void;
    ak(): Axis;
    jr(a: Axis): void;
    ju(a: Axis, b: string): void;
    r6: NumericRadiusAxisView;
    protected get_dl(): boolean;
    fs(): number;
    private sf;
    private se;
    private r7;
    constructor();
    az(): AxisLabelPanelBase;
    r8: boolean;
    private sc;
    private r9;
    oo(): NumericAxisRenderer;
    ft(a: number, b: ScalerParams): number;
    si(a: number, b: boolean, c: boolean, d: number, e: number): number;
    sh(a: number): number;
    sj(a: number): number;
    fw(a: number, b: ScalerParams): number;
    sl: number;
    sb: number;
    sk: number;
    sa: number;
    protected kf(a: any, b: string, c: any, d: any): void;
    protected sd: number;
    sq(a: Axis): void;
    private r4;
    get r5(): Axis;
    set r5(a: Axis);
    ao(): Axis;
    os(): NumericAxisRenderingParameters;
    or(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    private sr;
    private sm;
    sg(): number;
    rh(a: AxisRangeChangedEventArgs): void;
    protected k4(a: boolean): void;
    protected li(a: Rect, b: Rect): void;
    sp(a: GeometryGroup, b: Rect, c: Rect, d: Rect, e: Rect): void;
    protected get_bk(): AxisOrientation;
    get bk(): AxisOrientation;
    ns(a: number, b: Rect, c: Rect, d: Rect, e: Rect): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AngleAxisLabelPanelView extends AxisLabelPanelBaseView {
    static $t: Type;
    protected az: AngleAxisLabelPanel;
    constructor(a: AngleAxisLabelPanel);
    an(): void;
    a1(a: List$1<Rect>, b: List$1<boolean>): void;
    a0(a: List$1<Rect>, b: List$1<boolean>): void;
    o(): number;
    p(): number;
    q(): number;
    r(): number;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bm: CategoryAngleAxis;
    constructor(a: CategoryAngleAxis);
    al(): void;
}
/**
 * @hidden
 */
export declare class NumericAngleAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bm: NumericAngleAxis;
    constructor(a: NumericAngleAxis);
    al(): void;
}
/**
 * @hidden
 */
export declare class NumericRadiusAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bm: NumericRadiusAxis;
    constructor(a: NumericRadiusAxis);
    al(): void;
}
